Subject: Re: [PATCH RESEND 0/8] Resend LED patches

From: Lee Jones <[email-masked]>
Date: Fri, 20 Jan 2023 17:15:17 +0000

On Fri, 20 Jan 2023, Arnd Bergmann wrote:

> On Mon, Dec 26, 2022, at 13:36, Pali Rohár wrote:
> > Linus Walleij suggested me to send these patches to SoC tree [1]
> > instead. So I'm doing it.
> >
> > This patch series contains LED patches which are on the linux-leds
> > mailing list for a long time without any future movement. Could you
> > please handle them here via SoC tree? Thanks.
> >
> > [1] - 
> > https://lore.kernel.org/linux-leds/[email-masked]/
> 
> I'm going through the backlog of patches sent to [email-masked]
> and came across this series. While I don't mind taking these
> patches through the soc tree in principle, it is important
> that this is only done as an exception, and with all the
> relevant parties on Cc.
> 
> In particular, the original series that you got no
> feedback for did not include the arch/powerpc/ changes,
> and I would assume those should go through the powerpc
> tree anyway. We have recently decided to take
> risc-v and loongarch dts changes through the soc
> tree, and I don't mind doing it for powerpc as well
> if the powerpc maintainers prefer that, but this is
> not something we have even discussed so far.
> 
> I've added everyone to Cc on this mail, but please
> resend the series once more so everyone has the patches,
> and then we can decide who will pick up what.

Thanks Arnd (PSB).

> > Marek Behún (3):
> >   leds: turris-omnia: support HW controlled mode via private trigger
> >   leds: turris-omnia: initialize multi-intensity to full
> >   leds: turris-omnia: change max brightness from 255 to 1
> >
> > Pali Rohár (5):
> >   dt-bindings: leds: register-bit-led: Add active-low property
> >   leds: syscon: Implement support for active-low property
> >   powerpc/85xx: DTS: Add CPLD definitions for P1021RDB Combo Board CPL
> >     Design
> >   dt-bindings: leds: Add cznic,turris1x-leds.yaml binding
> >   leds: Add support for Turris 1.x LEDs
> >
> >  .../testing/sysfs-class-led-driver-turris1x   |  31 ++
> >  .../bindings/leds/cznic,turris1x-leds.yaml    | 118 +++++
> >  .../bindings/leds/register-bit-led.yaml       |   5 +
> >  arch/powerpc/boot/dts/fsl/p1020mbg-pc.dtsi    |  92 ++++
> >  arch/powerpc/boot/dts/fsl/p1020mbg-pc_32b.dts |   6 +-
> >  arch/powerpc/boot/dts/fsl/p1020mbg-pc_36b.dts |   6 +-
> >  arch/powerpc/boot/dts/fsl/p1020rdb-pd.dts     |  44 +-
> >  arch/powerpc/boot/dts/fsl/p1020utm-pc.dtsi    |  37 ++
> >  arch/powerpc/boot/dts/fsl/p1020utm-pc_32b.dts |   4 +-
> >  arch/powerpc/boot/dts/fsl/p1020utm-pc_36b.dts |   4 +-
> >  arch/powerpc/boot/dts/fsl/p1021rdb-pc.dtsi    |  37 ++
> >  arch/powerpc/boot/dts/fsl/p1021rdb-pc_32b.dts |   5 +-
> >  arch/powerpc/boot/dts/fsl/p1021rdb-pc_36b.dts |   5 +-
> >  arch/powerpc/boot/dts/fsl/p2020rdb-pc.dtsi    |  33 +-

> >  drivers/leds/Kconfig                          |  10 +
> >  drivers/leds/Makefile                         |   1 +
> >  drivers/leds/leds-syscon.c                    |  14 +-
> >  drivers/leds/leds-turris-1x.c                 | 474 ++++++++++++++++++
> >  drivers/leds/leds-turris-omnia.c              |  46 +-

If everyone is convinced that applying these drivers is the correct
thing to do, I'd be happy to (rather) take them via LEDs.

-- 
Lee Jones [李琼斯]